Subject: Re: [PATCH 06/10] contrib: remove "mw-to-git"

From: Junio C Hamano <[email-masked]>
Date: Tue, 06 May 2025 13:34:02 -0700

Patrick Steinhardt <[email-masked]> writes:

> The "mw-to-git" directory contains tools for accessing MediaWiki via
> Git. The scripts are essentially unmaintained in Git: despite a couple
> of global cleanups, the last changes were a couple of security-related
> issues part of 9a8606465e8 (remote-mediawiki: use "sh" to eliminate
> unquoted commands, 2020-09-21) and its parents. We don't ever run any of
> the tests so it is more likely than not that many of the tests have been
> bitrotting, like e.g. documented in f8ab018dafc (remote-mediawiki tests:
> annotate failing tests, 2020-09-21).
>
> Furthermore, the code has been spun out into a separate project at [2].
> Remove the directory in favor of this new home.
>
> [2]: https://github.com/Git-Mediawiki/Git-Mediawiki

OK, the new home also lacks activity since Mar 2022, but it
still is certainly a much better home than having it here.

And I doubt this removal needs to wait for Git 3.0 boundary; unlike
other things, we shouldn't even have been its primary home to begin
with.